Bug 1332111 (CVE-2016-4414) - CVE-2016-4414 quassel: IRC denial of service
Summary: CVE-2016-4414 quassel: IRC denial of service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2016-4414
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1332112 1332113
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-02 09:07 UTC by Andrej Nemec
Modified: 2019-09-29 13:48 UTC (History)
6 users (show)

Fixed In Version: quassel 0.12.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 21:24:13 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-02 09:07:52 UTC
It was found that quasselcore is vulnerable to a denial of service
attack by unauthenticated clients. The protocol negotiation did not
take into account lack of a match, in which case
PeerFactory::createPeer returns a nullptr, which is immediately
dereferenced.

References:

http://seclists.org/oss-sec/2016/q2/174

Issue introduced in commit:

https://github.com/quassel/quassel/commit/d1bf207

Upstream fix:

https://github.com/quassel/quassel/commit/e678873

Comment 1 Andrej Nemec 2016-05-02 09:08:18 UTC
Created quassel tracking bugs for this issue:

Affects: epel-7 [bug 1332112]
Affects: fedora-all [bug 1332113]

Comment 2 Fedora Update System 2016-05-06 19:24:34 UTC
quassel-0.12.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-05-06 19:51:24 UTC
quassel-0.12.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-07 11:49:17 UTC
quassel-0.12.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-05-10 14:41:41 UTC
quassel-0.12.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.